
local t = Def.ActorFrame{
	InitCommand=cmd(draworder,100;x,SCREEN_RIGHT-13;y,SCREEN_TOP+94;);

	LoadActor("mode_regular")..{
	Condition=GAMESTATE:GetPlayMode() == 'PlayMode_Regular';
	OnCommand=cmd(horizalign,right;addx,5;diffusealpha,0;sleep,0.75;decelerate,0.5;addx,-10;diffusealpha,1;sleep,0.7;linear,0.1;y,SCREEN_CENTER_Y+40-10;linear,0.1;x,-SCREEN_CENTER_X-36;sleep,0.8;linear,0.1;zoomy,0;);
	};
	LoadActor("mode_battle")..{
	Condition=GAMESTATE:GetPlayMode() == 'PlayMode_Rave';
	OnCommand=cmd(horizalign,right;addx,5;diffusealpha,0;sleep,0.75;decelerate,0.5;addx,-10;diffusealpha,1;sleep,0.7;linear,0.1;y,SCREEN_CENTER_Y+40-10;linear,0.1;x,-SCREEN_CENTER_X-17.5;sleep,0.8;linear,0.1;zoomy,0;);
	};	
	LoadActor("mode_course")..{
	Condition=GAMESTATE:IsCourseMode();
	OnCommand=cmd(horizalign,right;addx,5;diffusealpha,0;sleep,0.75;decelerate,0.5;addx,-10;diffusealpha,1;sleep,0.7;linear,0.1;y,SCREEN_CENTER_Y+40-10;linear,0.1;x,-SCREEN_CENTER_X-18;sleep,0.8;linear,0.1;zoomy,0;);
	};
};

return t;